Subject: Re: ftp-gw and windows nt

From: Tor Perkins <[email-masked]>
Date: Mon, 6 Nov 2000 18:47:32 -0800

[To be removed from this list send the message "unsubscribe fwtk-users" in the
BODY of a mail message to [email-masked].]

When using this patch, and configuring for "pasv true", any server
that refuses to honor PASV requests will fail.  This is because
ftp-gw will not fall back to PORT.  That is what's meant by:

	CAVEAT:  We're in trouble if the remote 502's us;
            we don't fall back... :^)

... in the doco-blurb that accompanies the patch.  This is the FTP
protocol's biggest problem.  The patch is not a perfect fix.  It let's
you do FTP through a restrictive packet screen to servers that do
PASV, which fortunately, is most of the servers "out there".

If you are not dealing with any packet filters, then it's probably
best not to use this patch.

- Tor

On Thu, Oct 26, 2000 at 02:59:22PM -0600, Luis Fernando Barrera wrote:
 > 
 > Hi,
 > 
 > I just applied the Tor's PASV patch to the ftp-gw proxy... However
 > when I try to connect to some Windows NT/2000 ftp server, I get
 > the message "cannot decode port". With the Unix/Linux ftp servers
 > I got no problem...
 > 
 > Has anybody experieced this problem? What is it all about?
 >

---

From: "Luis Fernando Barrera" <[email-masked]>
Date: Tue, 7 Nov 2000 11:51:43 -0600

But you know something? If you connect to the servers that are refussing
the connection, directly from the firewall (i.e. not using the ftp-gw), you
can connect in passive mode. So it seems the problem is in the
ftp-gw patch code.
When I try to make an "ls" command I get the message
	500 cannot decode remote port

It seems this problem applies only to WinNT/2000 servers...rare? huh... :-)

Thanks

Luis Fernando Barrera
[email-masked] 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of Tor Perkins
> Sent: Monday, November 06, 2000 8:48 PM
> To: [email-masked]
> Subject: Re: ftp-gw and windows nt
> 
>